<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.21022</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{223F84B4-8AAB-433C-9A16-9973254D72F3}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Spark3D</RootNamespace>
    <AssemblyName>Spark3D</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ApplicationIcon>icon.ico</ApplicationIcon>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>0.4.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
    <ManifestCertificateThumbprint>5CF8686E3FCC652F23E7DE62E6C2B8BD5D621773</ManifestCertificateThumbprint>
    <ManifestKeyFile>Spark3D_TemporaryKey.pfx</ManifestKeyFile>
    <GenerateManifests>true</GenerateManifests>
    <TargetZone>LocalIntranet</TargetZone>
    <ApplicationManifest>Properties\app.manifest</ApplicationManifest>
    <SignManifests>true</SignManifests>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <ItemGroup>
    <Compile Include="Algebra3D\Matrix3D.cs" />
    <Compile Include="Algebra3D\Vector3D.cs" />
    <Compile Include="LightSources\ILightSource.cs" />
    <Compile Include="LightSources\PointSource.cs" />
    <Compile Include="Objects3D\Shapes\Cube.cs" />
    <Compile Include="Objects3D\IAnimatedObject.cs" />
    <Compile Include="Objects3D\IObject3D.cs" />
    <Compile Include="Objects3D\Object3DCommon.cs" />
    <Compile Include="Objects3D\Shapes\Octahedron.cs" />
    <Compile Include="Objects3D\Polygon2D.cs" />
    <Compile Include="Objects3D\Polygon3D.cs" />
    <Compile Include="Objects3D\Shapes\Sphere.cs" />
    <Compile Include="Projector3D\IProjector3D.cs" />
    <Compile Include="Projector3D\IsometricProjector.cs" />
    <Compile Include="Projector3D\ProjectedPoint.cs" />
    <Compile Include="Projector3D\Projector3D.cs" />
    <Compile Include="Projector3D\ProjectorCommon.cs" />
    <Compile Include="Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Util\ConsoleOut.cs" />
    <Compile Include="View2D\Widgets\Widget.cs">
    </Compile>
    <Compile Include="View2D\Widgets\Text\WLabel.cs" />
    <Compile Include="View2D\Widgets\Theme.cs" />
    <Compile Include="View2D\IsometricMainWnd.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View2D\IsometricMainWnd.Designer.cs">
      <DependentUpon>IsometricMainWnd.cs</DependentUpon>
    </Compile>
    <Compile Include="View2D\MainWnd.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="View2D\MainWnd.Designer.cs">
      <DependentUpon>MainWnd.cs</DependentUpon>
    </Compile>
    <Compile Include="Spark3DMain.cs" />
    <Compile Include="View2D\ViewPort.cs">
      <SubType>Component</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resources.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="View2D\IsometricMainWnd.resx">
      <DependentUpon>IsometricMainWnd.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View2D\MainWnd.resx">
      <DependentUpon>MainWnd.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="View2D\ViewPort.resx">
      <DependentUpon>ViewPort.cs</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="icon.ico" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <None Include="Properties\app.manifest" />
    <None Include="Spark3D_TemporaryKey.pfx" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Resources\" />
  </ItemGroup>
</Project>